> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Surface Feedback

> ListSurfaceFeedback lists feedback for a surface.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/a2ui/surfaces/{surface_id}/feedback
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/a2ui/surfaces/{surface_id}/feedback:
    get:
      tags:
        - A 2 UI
      summary: List Surface Feedback
      description: ListSurfaceFeedback lists feedback for a surface.
      operationId: c1.api.a2ui.v1.A2UIService.ListSurfaceFeedback
      parameters:
        - in: path
          name: surface_id
          required: true
          schema:
            description: The surfaceId field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.a2ui.v1.A2UIServiceListSurfaceFeedbackResponse
          description: >-
            A2UIServiceListSurfaceFeedbackResponse returns feedback for a
            surface.
      x-codeSamples:
        - lang: go
          label: ListSurfaceFeedback
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.A2UI.ListSurfaceFeedback(ctx, operations.C1APIA2uiV1A2UIServiceListSurfaceFeedbackRequest{\n        SurfaceID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.A2UIServiceListSurfaceFeedbackResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.a2Ui.listSurfaceFeedback({
                surfaceId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.a2ui.v1.A2UIServiceListSurfaceFeedbackResponse:
      description: A2UIServiceListSurfaceFeedbackResponse returns feedback for a surface.
      properties:
        feedback:
          description: The feedback field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.A2UISurfaceFeedback'
          type:
            - array
            - 'null'
      title: A 2 Ui Service List Surface Feedback Response
      type: object
      x-speakeasy-name-override: A2UIServiceListSurfaceFeedbackResponse
    c1.api.a2ui.v1.A2UISurfaceFeedback:
      description: A2UISurfaceFeedback represents user feedback for a surface.
      properties:
        actionName:
          description: The actionName field.
          type:
            - string
            - 'null'
        componentsSnapshot:
          description: The componentsSnapshot field.
          type:
            - string
            - 'null'
        conversationId:
          description: The conversationId field.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        dataModelSnapshot:
          description: The dataModelSnapshot field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
        schemaVersion:
          description: The schemaVersion field.
          format: int64
          type:
            - string
            - 'null'
        sentiment:
          description: The sentiment field.
          enum:
            - A2UI_SURFACE_FEEDBACK_SENTIMENT_UNSPECIFIED
            - A2UI_SURFACE_FEEDBACK_SENTIMENT_POSITIVE
            - A2UI_SURFACE_FEEDBACK_SENTIMENT_NEGATIVE
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        surfaceId:
          description: The surfaceId field.
          type:
            - string
            - 'null'
        text:
          description: The text field.
          type:
            - string
            - 'null'
      title: A 2 Ui Surface Feedback
      type: object
      x-speakeasy-name-override: A2UISurfaceFeedback
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````